import { FormArray, FormControl, FormGroup } from '@angular/forms';
import { SchemaField } from './SchemaField';
export declare abstract class SchemaArray extends SchemaField {
    control: FormArray;
    toolTipShowing: boolean;
    toolTipTarget: Element;
    toolTipText: string;
    protected abstract acknowledgeChange(): void;
    protected abstract newItem(): FormControl | FormGroup;
    readonly controlArrayValue: any[];
    readonly formArray: FormArray;
    constructor();
    addRow(additionalRows?: number, insertPosition?: number): void;
    removeRow(index: number): void;
    atMaxItems(): boolean;
    atMinItems(): boolean;
    showToolTip(target: Element, text: string): void;
    hideToolTip(): void;
    protected setArray(): void;
}
